libpqxx: pqxx::nontransaction Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::nontransaction Class Reference

`#include <nontransaction.hxx>`

Inheritance diagram for pqxx::nontransaction:

## Public Member Functions
| nontransaction (connection_base &C, const std::string &Name=std::string())
| Constructor.
virtual | ~nontransaction ()
Public Member Functions inherited from pqxx::transaction_base
virtual | ~transaction_base ()=0
void | commit ()
| Commit the transaction.
void | abort ()
| Abort the transaction.
std::string | esc (const char str[]) const
| Escape string for use as SQL string literal in this transaction.
std::string | esc (const char str[], size_t maxlen) const
| Escape string for use as SQL string literal in this transaction.
std::string | esc (const std::string &str) const
| Escape string for use as SQL string literal in this transaction.
std::string | esc_raw (const unsigned char str[], size_t len) const
| Escape binary data for use as SQL string literal in this transaction.
std::string | esc_raw (const std::string &) const
| Escape binary data for use as SQL string literal in this transaction.
template<typename T >
std::string | quote (const T &t) const
| Represent object as SQL string, including quoting & escaping.
std::string | quote_raw (const unsigned char str[], size_t len) const
| Binary-escape and quote a binarystring for use as an SQL constant.
std::string | quote_raw (const std::string &str) const
std::string | quote_name (const std::string &identifier) const
| Escape an SQL identifier for use in a query.
result | exec (const std::string &Query, const std::string &Desc=std::string())
| Execute query.
result | exec (const std::stringstream &Query, const std::string &Desc=std::string())
internal::parameterized_invocation | parameterized (const std::string &query)
| Parameterize a statement.
connection_base & | conn () const
| Connection this transaction is running in.
void | set_variable (const std::string &Var, const std::string &Val)
| Set session variable in this connection.
std::string | get_variable (const std::string &)
| Get currently applicable value of variable.
prepare::invocation | prepared (const std::string &statement=std::string())
| Execute prepared statement.
void | process_notice (const char Msg[]) const
| Have connection process warning message.
void | process_notice (const std::string &Msg) const
| Have connection process warning message.
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Additional Inherited Members
Public Types inherited from pqxx::transaction_base
typedef isolation_traits < read_committed > | isolation_tag
| If nothing else is known, our isolation level is at least read_committed.
Protected Member Functions inherited from pqxx::transaction_base
| transaction_base (connection_base &c, bool direct=true)
| Create a transaction (to be called by implementation classes only)
void | Begin ()
| Begin transaction (to be called by implementing class)
void | End () throw ()
| End transaction. To be called by implementing class' destructor.
virtual void | do_begin ()=0
| To be implemented by derived implementation class: start transaction.
virtual result | do_exec (const char Query[])=0
| To be implemented by derived implementation class: perform query.
virtual void | do_commit ()=0
| To be implemented by derived implementation class: commit transaction.
virtual void | do_abort ()=0
| To be implemented by derived implementation class: abort transaction.
result | DirectExec (const char C[], int Retries=0)
| Execute query on connection directly.
void | reactivation_avoidance_clear () throw ()
| Forget about any reactivation-blocking resources we tried to allocate.
Protected Attributes inherited from pqxx::transaction_base
internal::reactivation_avoidance_counter | m_reactivation_avoidance
| Resources allocated in this transaction that make reactivation impossible.

## Constructor & Destructor Documentation

pqxx::nontransaction::nontransaction | ( | connection_base & | C,
|  | const std::string & | Name = `std::string()`
| ) |  |
| explicit

Constructor.

Create a "dummy" transaction.

Parameters

  C | Connection that this "transaction" will operate on.
  Name | Optional name for the transaction, beginning with a letter and containing only letters and digits.

pqxx::nontransaction::~nontransaction | ( |  | ) |
| virtual

The documentation for this class was generated from the following files:

- nontransaction.hxx
- nontransaction.cxx